bweir
2006-11-28, 04:13 PM
Working with Acad07 & VS05. I have a user form that is displayed using something like myForm.ShowDialog(). On this form is a button that allows the user to select coordinates. The form hides using myForm.Hide() and I've tried a number of ways to bring it back but can't seem to.
I also tried myForm.Visible = False (rather then Me.Hide()) but this didn't help when trying to bring the form back either. What am I missing?
Here's the code for the button.
Dim oRes As Autodesk.AutoCAD.EditorInput.PromptPointResult
Me.Hide()
oRes = oEd.GetPoint(vbNewLine & "Select the top right corner: ")
If oRes.Status = Autodesk.AutoCAD.EditorInput.PromptStatus.OK Then
Me.oTxt_MaxX.Text = oRes.Value.X
Me.oTxt_MaxY.Text = oRes.Value.Y
CheckMinMax()
End If
Me.Visible = True
I also tried myForm.Visible = False (rather then Me.Hide()) but this didn't help when trying to bring the form back either. What am I missing?
Here's the code for the button.
Dim oRes As Autodesk.AutoCAD.EditorInput.PromptPointResult
Me.Hide()
oRes = oEd.GetPoint(vbNewLine & "Select the top right corner: ")
If oRes.Status = Autodesk.AutoCAD.EditorInput.PromptStatus.OK Then
Me.oTxt_MaxX.Text = oRes.Value.X
Me.oTxt_MaxY.Text = oRes.Value.Y
CheckMinMax()
End If
Me.Visible = True